Bug 825407 - Attempting to use Bluetooth earpiece kills Bluetooth until suspend or reboot
Attempting to use Bluetooth earpiece kills Bluetooth until suspend or reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 20:33 EDT by James
Modified: 2013-07-31 16:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:33:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from hcidump (61.71 KB, text/x-log)
2012-05-25 20:33 EDT, James
no flags Details

  None (edit)
Description James 2012-05-25 20:33:38 EDT
Created attachment 586970 [details]
Output from hcidump

Description of problem:
My notebook has an Atheros 0cf3:3005 Bluetooth built-in USB adapter. I can use it fine to transfer files from my mobile phone. I have also set up a BH95 headset. As soon as this is turned on and connected,

  - all other audio stops, and Pulse finds no other devices (including
    the built-in hda-intel);
  - Bluetooth: hci0 command tx timeout appears in dmesg;
  - the adapter no longer works until reboot/suspend
    (including attempts to use it with the phone).

I have attached the output of hcidump of me doing the following operations:

 1. Browse files on my phone.
 2. Unmount the phone, do the same again.
 3. Unmount the phone, activate the headset.
 4. Turn the headset off.
 5. Attempt to access the phone again.

Running hciconfig after this produces the following:


hci0:	Type: BR/EDR  Bus: USB
	BD Address: <ADAPTER-MAC-ADDRESS>  ACL MTU: 1022:8  SCO MTU: 121:3
	UP RUNNING PSCAN 
	RX bytes:277137 acl:472 sco:0 events:382 errors:0
	TX bytes:9391 acl:268 sco:0 commands:58 errors:0


I then killed all instances of bluetoothd and removed the btusb module. For some reason there was a ~5 second delay while the module was removed. I then re-inserted the module. Running hciconfig again:


hci0:	Type: BR/EDR  Bus: USB
	BD Address: 00:00:00:00:00:00  ACL MTU: 0:0  SCO MTU: 0:0
	DOWN INIT RUNNING 
	RX bytes:0 acl:0 sco:0 events:0 errors:0
	TX bytes:0 acl:0 sco:0 commands:1 errors:0


Trying to run hciconfig hci0 up results in


Can't init device hci0: Connection timed out (110)


It stays this way until I reboot or suspend/resume the machine.

Version-Release number of selected component (if applicable):
bluez-4.99-1.fc17.x86_64
kernel-3.3.7-1.fc17.x86_64
linux-firmware-20120206-0.3.git06c8f81.fc17.noarch

How reproducible:
Always.
Comment 1 Fedora End Of Life 2013-07-03 16:30:08 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 16:33:26 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.